=== template-dkms-mkdeb/Makefile ===
SRC = $(DESTDIR)/usr/src

all:

clean:

install:
	install -d "$(SRC)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SRC)"
