## dkms 2.1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-RELEASE_DATE := "26-Aug-2009"
+RELEASE_DATE := "14-Dec-2009"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 1
-RELEASE_SUBLEVEL := 0
-RELEASE_EXTRALEVEL := .1
+RELEASE_SUBLEVEL := 1
+RELEASE_EXTRALEVEL := .0
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -16,8 +16,9 @@
 INITD = $(DESTDIR)/etc/init.d
 LIBDIR = $(DESTDIR)/usr/lib/dkms
 BASHDIR = $(DESTDIR)/etc/bash_completion.d
-DOCDIR = $(DESTDIR)/usr/share/doc/dkms
 KCONF = $(DESTDIR)/etc/kernel
+SHAREDIR = $(DESTDIR)/usr/share
+DOCDIR = $(SHAREDIR)/doc/dkms
 
 #Define the top-level build directory
 BUILDDIR := $(shell pwd)
@@ -32,18 +33,22 @@
 
 clean-dpkg: clean
 	rm -f debian/dkms.dkms_autoinstaller.init
+	rm -f debian/dkms.dkms_autoinstaller.upstart
 
 copy-init:
 	install -m 755 dkms_autoinstaller debian/dkms.dkms_autoinstaller.init
+	install -m 755 dkms_autoinstaller.upstart debian/dkms.dkms_autoinstaller.upstart
 
 install:
-	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR)
+	mkdir -m 0755 -p $(VAR) $(SBIN) $(MAN) $(INITD) $(ETC) $(BASHDIR) $(SHAREDIR) $(LIBDIR)
 	sed -e "s/\[INSERT_VERSION_HERE\]/$(RELEASE_VERSION)/" dkms > dkms.versioned
 	mv -f dkms.versioned dkms
-	mkdir   -p -m 0755 $(LIBDIR)
+	mkdir   -p -m 0755 $(SHAREDIR)/apport/package-hooks
 	install -p -m 0755 dkms_common.postinst $(LIBDIR)/common.postinst
 	install -p -m 0755 dkms $(SBIN)
 	install -p -m 0755 dkms_autoinstaller $(INITD)
+	install -p -m 0755 dkms_autoinstaller $(LIBDIR)
+	install -p -m 0755 dkms_apport.py $(SHAREDIR)/apport/package-hooks/dkms.py
 	install -p -m 0644 dkms_framework.conf $(ETC)/framework.conf
 	install -p -m 0644 dkms_dbversion $(VAR)
 	install -p -m 0644 dkms.bash-completion $(BASHDIR)/dkms
@@ -71,14 +76,18 @@
 	mkdir -m 0755 -p $(DOCDIR)
 	install -p -m 0644 $(DOCFILES) $(DOCDIR)
 
-install-ubuntu: install copy-init install-doc
+install-debian: install copy-init install-doc
 	mkdir   -p -m 0755 $(KCONF)/header_postinst.d
 	install -p -m 0755 kernel_postinst.d_dkms $(KCONF)/header_postinst.d/dkms
 	mkdir   -p -m 0755 $(ETC)/template-dkms-mkdeb/debian
 	ln -s template-dkms-mkdeb $(ETC)/template-dkms-mkdsc
 	install -p -m 0664 template-dkms-mkdeb/Makefile $(ETC)/template-dkms-mkdeb/
 	install -p -m 0664 template-dkms-mkdeb/debian/* $(ETC)/template-dkms-mkdeb/debian/
+	chmod +x $(ETC)/template-dkms-mkdeb/debian/postinst
+	chmod +x $(ETC)/template-dkms-mkdeb/debian/prerm
+	chmod +x $(ETC)/template-dkms-mkdeb/debian/rules
 	rm $(DOCDIR)/COPYING*
+	rm $(DOCDIR)/sample*
 
 deb_destdir=$(BUILDDIR)/dist
 TARBALL=$(deb_destdir)/$(RELEASE_STRING).tar.gz
