=== debian/changelog ===
dkms (2.1.1.2-5~bpo50+2) lenny-backports; urgency=low

  * Adjust package to work with lenny mktemp
    - Remove Depend on coreutils >= 7.4, it's not available on lenny
    - fix debian/patches/use-system-tmpdir.patch

 -- Jan Wagner <waja@cyconet.org>  Thu, 06 Oct 2011 15:28:31 +0200

dkms (2.1.1.2-5~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Jan Wagner <waja@cyconet.org>  Mon, 26 Sep 2011 08:25:29 +0200

dkms (2.1.1.2-5) unstable; urgency=low

  * [bd3b35d] Set DISTRIB_ID=Debian in case lsb_release is missing
  * [2465627] Removed lsb-release from Pre-Depends
  * [1732998] Do not use lsb_release to determine the distribution, add
    a static assignment (Closes: #547353)
  * [d00ff09] Do not return error if /etc/dkms/framework.conf is missing
    (LP: #613407) - thanks to pasadrul
  * [618efc8] Copy from the right directory with mkdsc and copy
    source.changes when building with mkdsc (LP: #611652) - thanks to
    David Henningsson
  * [f23d6b0] Bump to standards-version 3.9.1, no changes needed

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 04 Aug 2010 16:03:16 +0200

dkms (2.1.1.2-4) unstable; urgency=low

  * [f649aa1] Added coreutils >= 7.4 in Depends (Closes: #586356)
  * [01c7c14] Remove old modules when removing a kernel (Closes: #586724)
    - thanks to Jan Muszynski
  * [b6182ba] Bump to Standards-Version 3.9.0, no changes needed
  * [eaeddb3] dkms_common.postinst: handle dkms build error gracefully
    by skipping build for the non matching kernels. (Closes: #588585) -
    thanks to Jan-Marek Glogowski
  * [73533c2] Promote lsb-release to Pre-Depends (Closes: #589308)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 17 Jul 2010 13:23:43 +0200

dkms (2.1.1.2-3) unstable; urgency=low

  [ Michael Gilbert ]
  * Update to source format 3 (quilt) for better patch management/handling.
  * Improve the status info displayed during the kernel postinst, and
    provide informative/useful messages when things go awry.
  * Fix bashism in dkms_common.postinst (closes: #581079).
  * Document odd behavior of MAKE[#] (closes: #553625).
  * Document package naming convention (closes: #571753).
  * Use system TMPDIR setting in all scripts (closes: #581568).

  [ Giuseppe Iuculano ]
  * [208b229] Added a lintian override for python-script-but-no-python-
    dep, dkms.py is an apport hook

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 04 Jun 2010 13:53:23 +0200

dkms (2.1.1.2-2) unstable; urgency=low

  * [67fb76a] Do not remove /etc/header_postinst.d/dkms in preinst. Hopefully
    now Ubuntu can sync dkms from Debian

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 23 Feb 2010 10:02:40 +0100

dkms (2.1.1.2-1) unstable; urgency=low

  [ David Paleino ]
  * [ff95487] dh_dkms: continue the loop if there's nothing to do on the
    current package. (Closes: #568580)
  * [73dd83f] dh_dkms: specify that version mangling only happens if
    PACKAGE_VERSION=#MODULE_VERSION# in dkms.conf
  * [cdda61c] debian/scripts/postinst-dkms: really make sure the error
    is thrown when nothing is found. (Closes: #568591)

  [ Frédéric Brière ]
  * [2930aa9] Insert the package version directly into postinst at
    creation time
  * [9ccbdc7] Skip prerm removal if there are no modules for that
    version

  [ Giuseppe Iuculano ]
  * [898ab8c] Imported Upstream version 2.1.1.2
  * [4fff928] Removed 01_shell_error.patch, merged in upstream
  * [c5566c7] Removed 02_header_postinst.patch to avoid delta with
    Ubuntu. Hopefully /etc/kernel/header_postinst.d directory will be
    supported in Debian soon
  * [e8aeb49] Add a comment in debian/patches/series and fix quilt-
    build-dep-but-no-series-file lintian warning
  * [bc89600] Fixed a minor spelling error in dh_dkms man page

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 22 Feb 2010 15:34:12 +0100

dkms (2.1.1.1-2) unstable; urgency=low

  [ David Paleino ]
  * [d56bce9] Add -V flag to dh_dkms, thanks to Frédéric Brière
    <fbriere@fbriere.net> for the patch. (Closes: #568589)
  * [dc7e358] dh_dkms: don't return an error if there's nothing to do
    (Closes: #568580)
  * [ecfc1c7] debian/scripts/postinst-dkms: don't exit on success, only
    do it on errors (Closes: #568591)

  [ Giuseppe Iuculano ]
  * [adb3042] Really remove obsolete conffiles
  * [3fe380c] Do not install /etc/header_postinst.d/dkms, at this moment
    Debian kernel doesn't support it
  * [ad6a1f2] Bump Standards-Version (no changes).

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 14 Feb 2010 12:02:42 +0100

dkms (2.1.1.1-1) unstable; urgency=low

  [ David Paleino ]
  * [19ac85e] Added DKMS debhelper script (Closes: #553665)

  [ Giuseppe Iuculano ]
  * [9d66264] Imported Upstream version 2.1.1.1
  * [0735c11] Removed 01_upstart.patch
  * [ec26539] Merge from Ubuntu: Remove the init script and Upstart job.
    There is no reason that DKMS needs to run on boot; you can build
    modules for non-running kernels just fine at installation time.
  * [48ff9a4] Correct a minor shell error in dkms_autoinstaller
  * [5c76a45] Fixed a minor spelling error in dh_dkms man page
  * [c611461] debian/preinst: Use set -e

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 27 Jan 2010 10:02:27 +0100

dkms (2.1.1.0-2) unstable; urgency=low

  * [8510207] Do not install upstart job file

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 15 Dec 2009 08:57:24 +0100

dkms (2.1.1.0-1) unstable; urgency=low

  * [3122b6c] Imported Upstream version 2.1.1.0
  * [ac6fb91] Removed patches applied in upstream
  * [d40faf7] debian/rules: Use new make install-debian target
  * [5d2e1e4] debian/rules: Do not stop /etc/init.d/dkms_autoinstaller
    on upgrade

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 14 Dec 2009 22:38:54 +0100

dkms (2.1.0.1-4) unstable; urgency=low

  * [fdaa289] Use new upstream patch for optimized init. (Closes: #560267)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 11 Dec 2009 09:11:01 +0100

dkms (2.1.0.1-3) unstable; urgency=low


