=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>,
 Giuseppe Iuculano <iuculano@debian.org>,
 Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.9.1
Homepage: http://linux.dell.com/dkms
Vcs-Git: git://git.debian.org/collab-maint/dkms.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dkms.git

Package: dkms
Architecture: all
Depends: ${misc:Depends},
 module-init-tools,
 gcc,
 make | build-essential | dpkg-dev
Recommends: patch,
 fakeroot,
 menu | sudo,
 linux-headers-2.6-686 | linux-headers-2.6-amd64 | linux-headers-generic | linux-headers,
 linux-image
Description: Dynamic Kernel Module Support Framework
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.
