## dkms 2.1.1.2-3jolicloud1

=== debian/changelog ===
dkms (2.1.1.2-3jolicloud1) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 2.1.1.2

  [ Mario Limonciello ]
  * Imported Debian patch 2.1.1.2-2fakesync1

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 01 Sep 2010 12:23:21 +0200

dkms (2.1.1.2-2fakesync1) lucid; urgency=low

  * Fakesync with debian (LP: #534843)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 28 Mar 2010 00:45:36 -0500

dkms (2.1.0.1-1jolicloud1) robby; urgency=low

  * Depend on linux-headers-jolicloud, not generic

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 02 Dec 2009 18:47:33 +0100

dkms (2.1.0.1-0ubuntu1) karmic; urgency=low

  * New upstream version.    
    - When possible, run builds as the 'nobody' user rather than root. 
      This appears to work well on Ubuntu, but F11 doesn't allow anyone
      to run commands as 'nobody'.  So expect mixed behavior here on
      other distros.
    - Add support for Oracle VM and VMware 3.x
    - For RPMs drop dependency on lsb and instead ship a private
      lsb_release if a system lsb_release is not present.  Prevents
      pulling in a large dependency chain since the 'lsb' package isn't
      split up in RPM distros like in the DEB world.
    - Standardize on the correct command for DEB distros for updating
      the initramfs
    - DEBs & RPMs no long exclusively store DKMS tarballs that get
      loaded when the DEB or RPM is installed.  Instead, they will store
      the actual source.
    - When shipping binary modules with a DEB or RPM, they will still be
      put into a DKMS tarball, but they are stored in a more appropriate
      location on the system before getting loaded (generally /usr/share).
    - If the DEB/RPM has a combination of these two, then it will ship
      the source as part of the DEB/RPM and the binary modules inside
      the tarball in /usr/share.
    - Support for binaries only DEBS and RPMS has been added.  This
      unfortunately requires that they DEB or RPM be installed on DKMS
      2.1.0.0.  Keep in mind that you won't be able to let these DEBs or
      RPMs rebuild automatically when new kernels are installed.
    - A common postinstall script is now shipped and shared for DEBs and
      RPMs.  The same actions are used on both types of installations.
    - Cleanup stderr noise on remove (LP: #391023)

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 21 Aug 2009 15:49:58 -0500
