=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CURVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1 )

include /usr/share/quilt/quilt.make

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(CURVER) \
		$< > debian/scripts/$@

build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install
	
binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs AUTHORS debian/HOWTO.Debian
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

get-orig-source:
	uscan \
		--force-download \
		--download-version $(CURVER) \
		--rename

get-svn-source:
	[ -d ../tarballs ] || mkdir ../tarballs
	cd ../tarballs && make -f $(CURDIR)/debian/rules get-orig-source

.PHONY: build clean binary-indep binary-arch binary install
