=== debian/changelog ===
dkms (2.2.0.2-1) unstable; urgency=low

  [ Mario Limonciello ]
  * [c5846b6] Imported Upstream version 2.2.0.2
    - Doesn't leave files in /tmp (Closes: #633802)
    - Autoinstall works on multiple kernels (Closes: #634979) (LP: #812979)
    - PRE_BUILD command working directory fix. (LP: #812088)
  * [83b5f6e] Drop kfreebsd.patch.  Merged upstream

  [ Giuseppe Iuculano ]
  * [a80ecc5] Updated VCS control field

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 22 Jul 2011 13:36:32 -0500

dkms (2.2.0.1-3) unstable; urgency=low

  * [c9f7ed0] Fixed kFreeBSD subdirs check
  * [57c5c9d] Removed improved-error-messages.patch
  * [370ff7b] Remove debian-lsb.patch. Now Ubuntu can sync from Debian

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 15 Jul 2011 16:44:11 +0200

dkms (2.2.0.1-2) unstable; urgency=low

  * [6b2d392] Run depmod command only in Linux.
    Thanks to Robert Millan (Closes: #631657)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 15 Jul 2011 16:00:05 +0200

dkms (2.2.0.1-1) unstable; urgency=low

  * [18353fe] Imported Upstream version 2.2.0.1
  * [2a56b4e] Refreshed and removed patches merged upstream.
  * [c552af9] Use linux-headers-686-pae and linux-headers-amd64 in Recommends
    (Closes: #628873)

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 15 Jul 2011 12:56:08 +0200

dkms (2.1.1.2-6) unstable; urgency=low

  [ Michael Gilbert ]
  * [430b97f] Fix logging for compound make statements (closes: #577972)
    - Thanks to Anders Kaseorg!
  * [935ae61] Check for debhelper when using 'dkms mkdeb' (closes: #592863)
  * [e739e8c] fixup logging patch

  [ Giuseppe Iuculano ]
  * [46cc01a] Merge from Ubuntu: Before using the current kernel we need to make
    sure that this kernel doesn't belong to the host of a chroot and we should
    also be more careful when adding kernels to the candidates list
    (LP: #602408). - Thanks to Alberto Milone
  * [313d661] Merge from Ubuntu: depend on patch instead of recommending it, if
    its missing the "patches" feature of dkms will no longer work and that will
    cause build failures (LP: #653899)  Thanks to Michael Vogt

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 12 Mar 2011 11:07:47 +0100
