=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 #export DH_VERBOSE=1
 
 CURVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1 )
-
-include /usr/share/quilt/quilt.make
 
 dh_dkms.1: debian/scripts/dh_dkms
 	pod2man \
@@ -19,7 +17,7 @@
 	dh_testdir
 	touch $@
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -40,6 +38,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs AUTHORS debian/HOWTO.Debian
+	dh_lintian
 	dh_installexamples
 	dh_installman
 	dh_link
