## dkms 2.2.0.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-RELEASE_DATE := "21-July-2011"
+RELEASE_DATE := "07-December-2011"
 RELEASE_MAJOR := 2
 RELEASE_MINOR := 2
 RELEASE_SUBLEVEL := 0
-RELEASE_EXTRALEVEL := .2
+RELEASE_EXTRALEVEL := .3
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
