=== debian/changelog ===
dkms (2.2.0.3-1.1ubuntu5.14.04.5) trusty-security; urgency=medium

  * dkms_apport.py: update to the recent apport.utils api changes
    (lp: #1499842)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Sep 2015 07:33:54 -0400

dkms (2.2.0.3-1.1ubuntu5.14.04.3) trusty; urgency=low

  * d/s/autopkgtest: only collect logs if there are any.  (LP: #1498896)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 23 Sep 2015 15:21:08 +0100

dkms (2.2.0.3-1.1ubuntu5.14.04.2) trusty; urgency=medium

  * Backport dkms-autopkgtest helper script, so that we can run DKMS tests for
    new kernel uploads triggered by britney via autodep8. (LP: #1489045)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Aug 2015 12:32:04 +0200

dkms (2.2.0.3-1.1ubuntu5.14.04.1) trusty; urgency=medium

  * Add apport_package_key_with_version.patch: Include the package version in
    the Package data as apport does this with any report it creates and the
    Error Tracker expects to find the version there. (LP: #1429967)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Mar 2015 11:45:07 -0700

dkms (2.2.0.3-1.1ubuntu5.14.04) trusty; urgency=medium

  * fixed_sed_without_options_issue.patch: Backport of patch to fix sed issues.
    (LP: #1358373)

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 01 Dec 2014 16:53:16 -0600

dkms (2.2.0.3-1.1ubuntu5) trusty; urgency=low

  [ Mario Limonciello ]
  * Backport from trunk: Add patch that fixes have_one_kernel for non-
    zero return code. (LP: #1261116)

 -- Antonius Riha <antoniusriha@gmail.com>  Fri, 10 Jan 2014 16:50:11 +0100

dkms (2.2.0.3-1.1ubuntu4) saucy; urgency=low

  * apport_python3.patch: Fix bug links in header.
  * apport_python3.patch: Call package hook through python3, not python.
    (LP: #1171344)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 May 2013 08:31:34 +0200

dkms (2.2.0.3-1.1ubuntu3) saucy; urgency=low

  * Add apport_dup_signature.patch: Don't use the whole DKMS build log as
    duplicate signature, this is way too long. Just use the first actual
    compiler error, together with the package name and version. (LP: #1175785)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 02 May 2013 15:39:26 -0700

dkms (2.2.0.3-1.1ubuntu2) raring; urgency=low

  * Don't Recommend any linux-headers packages, our installers
    all install headers matching your kernel anyway, and this
    dependency causes more problems than it solves (LP: #960770)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Oct 2012 11:28:52 +0000

dkms (2.2.0.3-1.1ubuntu1) quantal-proposed; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add apport_supported_kernel_packages.diff:
      Only report bugs about supported kernel versions.
    - Add Add-support-for-forcing-modules-installation.patch, backported
      from trunk:
      Add support to force module installation by adding files to
      /usr/share/dkms/modules_to_force_install
    - Add apport_python3.patch: Port apport hook to Python 3 and
      take care of opening the output file in binary mode
    - debian/control: added 'dpkg-dev' and 'debhelper' to Suggests.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 26 Jul 2012 11:43:22 +0200

dkms (2.2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not fail if /lib/modules does not exist.  (Closes: #666023)
  * Remove the directory where the module was installed.  (Closes: #657145)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 19 Jul 2012 22:20:45 +0200

dkms (2.2.0.3-1ubuntu5) quantal; urgency=low

  * debian/control: added 'dpkg-dev' and 'debhelper' to Suggests (LP:
    #989998)

 -- Aditya Vaidya <kroq.gar78@gmail.com>  Wed, 11 Jul 2012 08:28:02 -0400

dkms (2.2.0.3-1ubuntu4) quantal; urgency=low

  * Add apport_python3.patch: Port apport hook to Python 3 (LP: #1013171) and
    take care of opening the output file in binary mode (LP: #1008092)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jun 2012 08:52:35 +0200

dkms (2.2.0.3-1ubuntu3) precise-proposed; urgency=low

  * Add linux-headers-generic-pae to recommended headers packages so that i386
    installs get the right headers (LP: #986475)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Apr 2012 15:01:27 -0400

dkms (2.2.0.3-1ubuntu2) precise; urgency=low

  [ Alberto Milone ]
  * Backport from trunk: Add support to force module installation by 
    adding files to /usr/share/dkms/modules_to_force_install

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 03 Apr 2012 18:03:02 -0500

dkms (2.2.0.3-1ubuntu1) precise; urgency=low

  * Only report bugs about supported kernel versions. This fixes a regression
    introduced in 2.2.0.2-1ubuntu2. (LP: #940285)
    - Add apport_supported_kernel_packages.diff:
      Check the result of is_distro_package() and fix the check if the kernel
      header package is installed at all.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 24 Feb 2012 14:08:47 +0100

dkms (2.2.0.3-1) unstable; urgency=low

  * [e24a52f] Imported Upstream version 2.2.0.3
  * [09da5c7] bump standards version
  * [713ebfd] add missing debhelper token to preinst
  * [8970435] add versioned build depends for debhelper
  * [db4238c] switch to dh7
  * [13a34c7] update lintian override for DKMS apport rule

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 07 Dec 2011 13:21:33 -0600
