=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CURVER = $(shell dpkg-parsechangelog | grep ^Version | cut -d" " -f2 | cut -d"-" -f1 )

%:
	dh $@

dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(CURVER) \
		$< > debian/scripts/$@

override_dh_auto_build:


override_dh_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/dkms
	dh_install
	
get-orig-source:
	uscan \
		--force-download \
		--download-version $(CURVER) \
		--rename

get-svn-source:
	[ -d ../tarballs ] || mkdir ../tarballs
	cd ../tarballs && make -f $(CURDIR)/debian/rules get-orig-source
