=== debian/watch ===
version=3

http://linux.dell.com/dkms/permalink/dkms-(.*)\.tar\.gz
